Last modified: 2013-04-22 16:15:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44719 - migrateCurStubs.php is mentioned in DefaultSettings but doesn't exist
migrateCurStubs.php is mentioned in DefaultSettings but doesn't exist
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Alexandre Emsenhuber [IAlex]
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-02-06 16:51 UTC by Sam Reed (reedy)
Modified: 2013-04-22 16:15 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2013-02-06 16:51:50 UTC
/**
 * If set to true, the MediaWiki 1.4 to 1.5 schema conversion will
 * create stub reference rows in the text table instead of copying
 * the full text of all current entries from 'cur' to 'text'.
 *
 * This will speed up the conversion step for large sites, but
 * requires that the cur table be kept around for those revisions
 * to remain viewable.
 *
 * maintenance/migrateCurStubs.php can be used to complete the
 * migration in the background once the wiki is back online.
 *
 * This option affects the updaters *only*. Any present cur stub
 * revisions will be readable at runtime regardless of this setting.
 */
$wgLegacySchemaConversion = false;



migrateCurStubs doesn't exist... And I can't find anywhere obvious for when it did - it's not in REL1_5

http://svn.mediawiki.org/viewvc/mediawiki/branches/REL1_5/phase3/maintenance/

The documentation at minimum needs fixing, though having $wgLegacySchemaConversion is pretty useless as if you don't migrate then, you can't (easily) migrate ever.
Comment 1 Alexandre Emsenhuber [IAlex] 2013-03-03 17:42:50 UTC
Gerrit change #51896.
Comment 2 db [inactive,noenotif] 2013-03-16 17:20:17 UTC
(In reply to comment #1)
> Gerrit change #51896.

Status Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links